> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Webhook

> Send a test event to a webhook for testing and debugging purposes



## OpenAPI

````yaml /openapi.json post /api/webhooks/{webhook_id}/test
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
security: []
paths:
  /api/webhooks/{webhook_id}/test:
    post:
      tags:
        - Webhooks
      summary: Test Webhook
      description: Send a test event to a webhook for testing and debugging purposes
      operationId: test_webhook_api_webhooks__webhook_id__test_post
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookTestRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookTestResponse'
        '401':
          description: 'Unauthorized: API key is missing, invalid, or inactive'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: 'Not Found: Webhook with the specified ID doesn''t exist'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: >-
            Unprocessable Entity: Invalid event_type or event_type not
            subscribed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 'Internal Server Error: Unexpected server error'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    WebhookTestRequest:
      properties:
        event_type:
          type: string
          title: Event Type
          description: Must be valid WebhookEventType
        data:
          additionalProperties: true
          type: object
          title: Data
          description: Custom event data payload
      type: object
      required:
        - event_type
        - data
      title: WebhookTestRequest
      description: Schema for webhook test request.
    WebhookTestResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the test completed successfully
        message:
          type: string
          title: Message
          description: Descriptive message about the test result
        webhook_delivery_result:
          additionalProperties: true
          type: object
          title: Webhook Delivery Result
          description: Result from process_webhook_task
      type: object
      required:
        - success
        - message
        - webhook_delivery_result
      title: WebhookTestResponse
      description: Schema for webhook test response.
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````